# fontsel.h File Reference

`#include <glib-object.h>`

Go to the source code of this file.

## Defines

#define | GCP_FONT_SEL_TYPE (gcp_font_sel_get_type ())
#define | GCP_FONT_SEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GCP_FONT_SEL_TYPE, GcpFontSel))
#define | IS_GCP_FONT_SEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GCP_FONT_SEL_TYPE))

## Functions

GType | gcp_font_sel_get_type (void)

## Detailed Description

Declaration of the GcpFontSel widget.

Definition in file fontsel.h.

## Define Documentation

#define GCP_FONT_SEL | ( | obj |  | ) | (G_TYPE_CHECK_INSTANCE_CAST ((obj), GCP_FONT_SEL_TYPE, GcpFontSel))

Casts obj to a GcpFontSel * pointer.

Returns:
  a pointer to the GcpFontSel * or NULL if obj does not point to a GcpFontSel widget.

Definition at line 43 of file fontsel.h.

#define GCP_FONT_SEL_TYPE (gcp_font_sel_get_type ())

Returns:
  the GType associated to GcpFontSel

Definition at line 37 of file fontsel.h.

#define IS_GCP_FONT_SEL | ( | obj |  | ) | (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GCP_FONT_SEL_TYPE))

Returns:
  TRUE if obj points to a GcpFontSel widget, FALSE otherwise.

Definition at line 47 of file fontsel.h.

## Function Documentation

GType gcp_font_sel_get_type | ( | void |  | ) |

Returns:
  the GType associated to GcpFontSel